Package Details: vim-clipboard 8.0.1092-1

Git Clone URL: https://aur.archlinux.org/vim-clipboard.git (read-only)
Package Base: vim-clipboard
Description: Vi Improved, a highly configurable, improved version of the vi text editor
Upstream URL: http://www.vim.org
Licenses: custom:vim
Conflicts: vim, vim-minimal, vim-python3
Provides: vim, vim-minimal, vim-python3, xxd
Replaces: vim, vim-minimal, vim-python3
Submitter: TJM
Maintainer: mesmer
Last Packager: mesmer
Votes: 5
Popularity: 0.009190
First Submitted: 2016-04-21 15:07
Last Updated: 2017-09-20 17:55

Dependencies (18)

Required by (332)

Sources (3)

Latest Comments

rharish commented on 2018-02-21 06:08

I built the package using vim-runtime 8.0.1476, and it seems to work fine, so far. Could you make the necessary updates?

mesmer commented on 2018-01-03 15:03

I was thinkin about that but that have some problems

cyberwoodman commented on 2018-01-03 13:15

Please update PKGBUILD to recent version, How about to write a script function which will fetch latest version and make it sha1sum dynamically etc...?

7c7 < pkgver=8.0.1415

<hr>

pkgver=8.0.1092 19c19 < sha1sums=('20c0991112e629b09fd358b9884006b3310887f7'

<hr>

sha1sums=('3a7e6e8a5a592df8a3afed0d247c5c3b94fb75a5' 95d94 <

mesmer commented on 2017-07-23 22:14

updated version and pkgbuilf

mesmer commented on 2017-06-14 10:22

I'll update tonight the version, thx ppl

mathguy commented on 2017-06-14 03:35

Requires an older version of vim-runtime=8.0.0.586-2

deeenes commented on 2017-06-13 13:05

Recently fails to compile for me with

if_perl.c:(.text+0x1379): undefined reference to `S_POPMARK'
objects/if_perl.o:if_perl.c:(.text+0x17b9): more undefined references to `S_POPMARK' follow
collect2: error: ld returned 1 exit status
link.sh: Linking failed
make[1]: *** [Makefile:1911: vim] Error 1
make[1]: Leaving directory '/tmp/pkgbuild-0/vim-clipboard/src/vim-8.0.0586/src'
make: *** [Makefile:29: first] Error 2

There is a patch for this:

https://bugzilla.redhat.com/show_bug.cgi?id=1456455